#include "testConverter.h"

VCNT_RESULT	testConverter::getData( string inputFileName, vConnectData& dstData )
{
	VCNT_RESULT	result = VCNT_TRUE;
	vConnectFrame frame;
	frame.expression.volumeAmplitudeRate = 1.0;
	frame.expression.aperiodicityAmplitudeRate = 1.0;
	frame.expression.spectrumExtentionRate = 1.0;
	frame.expression.dipFilters.clear();

	frame.f0 = 440.0;
	frame.pronounces.resize(1);
	frame.pronounces[0].stfFileName = inputFileName;
	frame.pronounces[0].morphRate	= 1.0;
	frame.pronounces[0].relative = 0.0;
	frame.pronounces[0].absolute = 71;
	frame.pronounces[0].rightBlank = 0;

	dstData.setNumFrames( 1000 );

	for( unsigned long frameIndex = 0; frameIndex < 1000; frameIndex++ )
		dstData.setFrame( frameIndex, frame );

	return result;
}