/*======================================================*/
/*														*/
/*	vConnectExpression.h								*/
/*						(c) HAL 2009-					*/
/*		 vConnectExpression contains 					*/
/*			the data of expression control parameters.	*/
/*======================================================*/
#ifndef __vConnectExpression_h_
#define __vConnectExpression_h_

#include "vConnectObjectBase.h"
#include "straightDipFilter.h"

struct vConnectExpression{
	double	spectrumExtentionRate;
	double aperiodicityAmplitudeRate;
	vector< straightDipFilter > dipFilters;
	double volumeAmplitudeRate;
};

#endif
