#ifndef __vConnectFileManager_h__
#define __vConnectFileManager_h__

#include "vConnectObjectBase.h"
#include "vConnectPronounce.h"
#include "straightFileEx.h"
#include "straightFrameEx.h"

struct straightFileInfo{
	straightFileEx	file;
	long			endFrame;
	bool			isInitialized;
};

class vConnectFileManager : public vConnectObjectBase {
public:
	~vConnectFileManager();

	VCNT_RESULT	setPronounces( long frameIndex, vector<vConnectPronounce>& pronounces );
	VCNT_RESULT	getFrame( unsigned long frameIndex, vector<vConnectPronounce>& pronounces, vector<straightFrameEx>& frames );
private:
	VCNT_RESULT	getFrame( unsigned long frameIndex, vConnectPronounce& pronounce, straightFrameEx& frame );

	MAP_TYPE<string,straightFileInfo*> fileInfo;
};

#endif
