#include "vsqTempo.h"

void vsqTempo::setParameter( string left, string right )
{

  tempo = atof( left.c_str() );

}

long vsqTempo::secondToTick( double second )
{
  /* In This Code, only static tempo is available */
  long result = (long)( second / 60.0 * tempo * TICK_PER_BEAT );

  return result;
}

double vsqTempo::tickToSecond( long tick )
{
  double result = 60.0/tempo*(double)tick/TICK_PER_BEAT;

  return result;
}