/*======================================================*/
/*														*/
/*	vsqBPList.cpp										*/
/*						(c) HAL 2009-					*/
/*														*/
/*======================================================*/
#include "vsqBPList.h"

void vsqBPList::setParameter( string left, string right )
{
	vsqBP current;
	current.tick = atoi( left.c_str() );
	current.value = atoi( right.c_str() );

	list.push_back( current );
}

void vsqBPList::setParameter( long tick, int value )
{
	vsqBP current;
	current.tick = tick;
	current.value = value;
	list.push_back( current );
}

int	vsqBPList::getValue( long targetTick )
{
	int result = -1;
	unsigned int  i;
	for( i = 0; i < list.size(); i++ ){
		if( list[i].tick > targetTick ){
			if( i != 0 )
				i--;
			result = list[i].value;
			break;
		}else if( list[i].tick == targetTick ){
			result = list[i].value;
			break;
		}
	}
	if( result == -1 && i != 0 ){
		i--;
		result = list[i].value;
	}

	return result;
}